//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "DelGrpsDlg.h"
#include "global.h"
#include "QSver.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TDelGroupsDlg *DelGroupsDlg;
//---------------------------------------------------------------------------
bool __fastcall MassageNewsgroups(AnsiString &Groups, TComponent *Owner)
{
   int mr;
   DelGroupsDlg = new TDelGroupsDlg(Owner); CenterDialog(DelGroupsDlg);
   DelGroupsDlg->groups = Groups;
   DelGroupsDlg->ShowModal();
   if ((mr=DelGroupsDlg->ModalResult)!=mrCancel)
      Groups = DelGroupsDlg->groups;
   delete DelGroupsDlg;
   return mr==mrOk && Groups.Length()+12<=80;
}
//---------------------------------------------------------------------------
__fastcall TDelGroupsDlg::TDelGroupsDlg(TComponent* Owner)
  : TForm(Owner)
{
   len = 0;
}
//---------------------------------------------------------------------------
void __fastcall TDelGroupsDlg::ListBox1Click(TObject *Sender)
{
   groups = "";
   for (int i=0; i<ListBox1->Items->Count; i++)
   {
      if (!ListBox1->Selected[i])
      {
         if (groups.Length()) groups += ",";
         groups += ListBox1->Items->Strings[i];
      }
   }
   len = newsgroups.Length()+groups.Length();
   LengthEd->Text = " Length: "+AnsiString(len);
}
//---------------------------------------------------------------------------
void __fastcall TDelGroupsDlg::FormShow(TObject *Sender)
{
   AnsiString grp;
   int i=-1; while ((grp=GetParam(++i,groups,","))!="")
      ListBox1->Items->Add(grp.Trim());
   len = newsgroups.Length()+groups.Length();
   LengthEd->Text = " Length: "+AnsiString(len);
   ActiveControl = OkBtn;
   MyBeep(MB_OK);
}
//---------------------------------------------------------------------------
void __fastcall TDelGroupsDlg::FormCloseQuery(TObject *Sender, bool &CanClose)
{
   if (ModalResult==mrOk && len>80)
   {
      MsgBoxHwnd(Handle,
         AnsiString("Newsgroups total length is still\n")+
         AnsiString("more than 80 chars!\n"),
         AppName,
         MB_OK
      );
      CanClose = false;
   }
}
//---------------------------------------------------------------------------
